Due to a recent update on Javascript code a full page refresh on your browser might be needed.

Bug 1729999

Summary: Title of the ansible playbook method's edit page is incorrect
Product: Red Hat CloudForms Management Engine Reporter: Ganesh Hubale <ghubale>
Component: UI - OPSAssignee: Martin Povolny <mpovolny>
Status: CLOSED CURRENTRELEASE QA Contact: Ganesh Hubale <ghubale>
Severity: medium Docs Contact: Red Hat CloudForms Documentation <cloudforms-docs>
Priority: medium    
Version: 5.10.7CC: bmidwood, dmetzger, hkataria, lavenel, mpovolny, obarenbo, simaishi
Target Milestone: GAKeywords: Regression, TestOnly, ZStream
Target Release: 5.11.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 5.11.0.16 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1740769 (view as bug list) Environment:
Last Closed: 2019-12-13 15:00:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: Bug
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1740769    
Attachments:
Description Flags
Edit page of playbook method none

Description Ganesh Hubale 2019-07-15 14:31:54 UTC
Created attachment 1590803 [details]
Edit page of playbook method

Description of problem:


Version-Release number of selected component (if applicable):
5.10.7.0.20190709151852_68f0bf9

How reproducible:
100%

Steps to Reproduce:
1. Navigate to Automation > Automate > explorer
2. Create automate method of type - playbook
3. Select option 'Edit this method' from configuration dropdown

Actual results:
Title of page: Automate Method [eee - Updated 2019-07-15 13:05:39 UTC by admin]

Expected results:
Title of page: Editing Automate Method "dfa" (Works as expected with inline type method)

Additional info:
- It was working on 5.10.0.33
- Similar BZ reported on 5.11z: https://bugzilla.redhat.com/show_bug.cgi?id=1714632 (Embedded ansible role is not working on 5.11z. hence not able to test playbook type method on 5.11z)

Comment 3 Ganesh Hubale 2019-07-15 15:49:24 UTC
This does not break any functionality. As it is just an UI issue.

Comment 5 Ganesh Hubale 2019-07-22 10:20:54 UTC
Please notice that 'configuration' dropdown is visible on edit page which should not be displayed there.

Comment 8 Ganesh Hubale 2019-07-31 07:43:06 UTC
We need clone of this BZ for 5.10z. As this issue is reproducible on 5.10 too.